### Method

# Gio File replace_contents_finish

#### Declaration

    gboolean
    g_file_replace_contents_finish (
      GFile* file,
      GAsyncResult* res,
      char** new_etag,
      GError** error
    )

#### Description

Finishes an asynchronous replace of the given `file`. See g_file_replace_contents_async(). Sets `new_etag` to the new entity tag for the document, if present.

#### Parameters

`res`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`new_etag`

  Type: `char**`

  A location of a new entity tag for the document. This should be freed with `g_free()` when it is no longer needed, or `NULL`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure.